CMSIS-RTOS: cmsis_os_rtx_extensions.h File Reference

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cmsis_os_rtx_extensions.h File Reference

## Functions

uint32_t | os_suspend (void)
| Suspend the RTX task scheduler. More...
void | os_resume (uint32_t sleep_time)
| Resume the RTX task scheduler. More...
__NO_RETURN void | os_idle_demon (void)
| OS idle demon (running when no other thread is ready to run). More...
__NO_RETURN void | os_error (uint32_t error_code)
| OS error callback (called when a runtime error is detected). More...